### Method

# Gsk GLShader get_uniform_name

deprecated: 4.16

#### Declaration [src]

    const char*
    gsk_gl_shader_get_uniform_name (
      GskGLShader* shader,
      int idx
    )

#### Description [src]

Get the name of the declared uniform for this shader at index `idx`.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

#### Parameters

`idx`

  Type: `int`

  Index of the uniform.

#### Return value

Type: `const char*`

The name of the declared uniform.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.